package Übungen.MyChat_App;

public class User {

	private final String name;
	private String message;
	
	private final int id;
	private static int ID;

	User(String name) {
		this.name = name;
		this.message = null;
		this.id = ID++;
	}

	public String getName() {
		return name;
	}

	public String getMessage() {
		return message;
	}
	
	public void setMessage(String message) {
		this.message = message;
	}


	public int getId() {
		return id;
	}

	@Override
	public String toString() {
		return "User [name=" + name + ", id=" + id + "]";
	}

}
